Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor
Class FileDiagramEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.gef.ui.parts.GraphicalEditor
                      org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor
                          org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
                              org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
                                  org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor
                                      org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.FileDiagramEditor

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, CommandStackListener, org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramWorkbenchPart, IDocumentEditor, IGotoMarker, IEditorPart, IReusableEditor, ISaveablePart, ISelectionListener, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IShowInSource, IWorkbenchPartOrientation, ITabbedPropertySheetPageContributor

Direct Known Subclasses:
  FileDiagramEditorWithFlyoutPalette

    public class FileDiagramEditor

extends IDEDiagramDocumentEditor

FileDiagramEditor with optional flyout palette.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette.CustomPalettePage`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
`fErrorLabel`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`COLLAPSED, UNCOLLAPSED_PINNED`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor
`DIAGRAM_CONTEXT_ID, ID_OUTLINE, ID_OVERVIEW, workspaceViewerPreferenceStore`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`FileDiagramEditor()` Constructs a file diagram editor without flyout palette.
`FileDiagramEditor(boolean hasFlyoutPalette)` Constructs a file diagram editor, with flyout palette if `hasFlyoutPalette` is true and without flyout palette if `hasFlyoutPalette` is false.

Method Summary
`void` `doSaveAs()` The `AbstractDiagramEditor` implementation of this `IEditorPart` method calls `performSaveAs`.
`boolean` `isSaveAsAllowed()` The `AbstractDiagramEditor` implementation of this `IEditorPart` method returns `false`.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor
`gotoMarker, performSaveAs`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor

`askUserReload, askUserSaveClose, askUserSaveOverwrite, close, configureDiagramEditDomain, createActionManager, createEditingDomain, createOperationHistory, createPartControl, dispose, disposeDocumentProvider, doSave, doSetInput, editorSaved, enableSanityChecking, enableStateValidation, firePropertyChange, getAdapter, getDefaultPaletteContent, getDiagram, getDiagramDocument, getDocumentProvider, getDocumentProvider, getEditingDomain, getEditingDomainID, getEditorDescriptor, getProgressMonitor, handleEditorInputChanged, handleElementContentAboutToBeReplaced, handleElementContentReplaced, handleExceptionOnSave, init, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, performSave, releaseInput, reuseDiagramOnMove, safelySanityCheckState, sanityCheckState, selectionChanged, setDocumentProvider, setDocumentProvider, setInput, setSite, updateState, validateEditorInputState, validateState`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`configurePaletteViewer, createActivityManagerListener, createPaletteRoot, createPaletteViewerProvider, getInitialPaletteSize, getInitialPaletteState, getPaletteViewerProvider, handlePaletteDefaultStateChanged, handlePaletteResized, initializeGraphicalViewer, setEditDomain, setFocus, startListening, stopListening`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor

`addDefaultPreferences, addDefaultPreferences, clearGraphicalViewerContents, closeEditor, configureGraphicalViewer, createActions, createDiagramEditDomain, createGraphicalViewer, createHistoryListener, createScrollingGraphicalViewer, getActionManager, getContextID, getContributorId, getDefaultOutlineViewMode, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getElements, getGraphicalControl, getKeyHandler, getOperationHistory, getOutlineViewEditPartFactory, getPreferencesHint, getRulerComposite, getShowInContext, getSite, getUndoContext, getWorkspaceViewerPreferenceStore, getZoomManager, initializeGraphicalViewerContents, isWritable, persistViewerSettings, setRulerComposite, setUndoContext, shouldAddUndoContext`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalEditor
`commandStackChanged, getActionRegistry, getCommandStack, getEditDomain, getGraphicalViewer, getPropertyActions, getSelectionActions, getSelectionSynchronizer, getStackActions, hookGraphicalViewer, initializeActionRegistry, setActionRegistry, setGraphicalViewer, updateActions`

Methods inherited from class org.eclipse.ui.part.EditorPart
`checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInputWithNotify, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### FileDiagramEditor

    public FileDiagramEditor(boolean hasFlyoutPalette)

  Constructs a file diagram editor, with flyout palette if `hasFlyoutPalette` is true and without flyout palette if `hasFlyoutPalette` is false.

  Parameters:
    `hasFlyoutPalette` - true if flyoutPalette is required.

### FileDiagramEditor

    public FileDiagramEditor()

  Constructs a file diagram editor without flyout palette.

Method Detail

### doSaveAs

    public void doSaveAs()

  Description copied from class: `DiagramDocumentEditor`
  The `AbstractDiagramEditor` implementation of this `IEditorPart` method calls `performSaveAs`. Subclasses may reimplement.

  Specified by:
    `doSaveAs` in interface `ISaveablePart`
  Overrides:
    `doSaveAs` in class `DiagramDocumentEditor`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Description copied from class: `DiagramDocumentEditor`
  The `AbstractDiagramEditor` implementation of this `IEditorPart` method returns `false`. Subclasses may override.

  Specified by:
    `isSaveAsAllowed` in interface `ISaveablePart`
  Overrides:
    `isSaveAsAllowed` in class `DiagramDocumentEditor`
  Returns:
    `false`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.